#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire100seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 100"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire100seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven1004xi           # 100  -    


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
         
shot2seven1004xi = {
                1:'-10x-95y26z',
                2:'-11x-47y87z',
                3:'-13x-45y87z',
                4:'-13x-87y46z',
                5:'-15x-44y88z',
                6:'-15x-94y27z',
                7:'-17x-42y88z',
                8:'-17x-86y47z',
                9:'-19x-40y89z',
                10:'-19x-93y28z',
                11:'-1x-13y99z',
                12:'-1x-1y99z',
                13:'-1x-52y85z',
                14:'-21x-38y89z',
                15:'-22x-36y90z',
                16:'-22x-84y48z',
                17:'-24x-34y90z',
                18:'-24x-92y29z',
                19:'-25x-32y90z',
                20:'-26x-30y91z',
                21:'-26x-83y49z',
                22:'-27x-28y91z',
                23:'-27x-5y95z',
                24:'-28x-24y92z',
                25:'-28x-26y92z',
                26:'-28x-6y95z',
                27:'-29x-10y94z',
                28:'-29x-12y94z',
                29:'-29x-14y94z',
                30:'-29x-18y93z',
                31:'-29x-20y93z',
                32:'-29x-22y92z',
                33:'-29x-8y95z',
                34:'-29x-90y30z',
                35:'-2x-11y99z',
                36:'-2x-12y99z',
                37:'-2x-2y99z',
                38:'-2x-3y99z',
                39:'-2x-4y99z',
                40:'-2x-5y99z',
                41:'-2x-9y99z',
                42:'-30x-16y93z',
                43:'-30x-81y49z',
                44:'-34x-39y85z',
                45:'-34x-78y50z',
                46:'-34x-88y31z',
                47:'-35x-37y85z',
                48:'-37x-34y86z',
                49:'-38x-32y86z',
                50:'-38x-76y51z',
                51:'-38x-86y32z',
                52:'-39x-27y87z',
                53:'-39x-29y87z',
                54:'-3x-6y99z',
                55:'-3x-7y99z',
                56:'-3x-8y99z',
                57:'-40x-21y88z',
                58:'-40x-24y88z',
                59:'-41x-16y89z',
                60:'-41x-19y88z',
                61:'-42x-73y52z',
                62:'-42x-84y33z',
                63:'-45x-71y53z',
                64:'-46x-88y0z',
                65:'-47x-81y34z',
                66:'-49x-68y54z',
                67:'-4x-51y85z',
                68:'-4x-89y44z',
                69:'-51x-78y34z',
                70:'-51x-85y0z',
                71:'-52x-65y54z',
                72:'-54x-75y35z',
                73:'-55x-61y55z',
                74:'-55x-83y1z',
                75:'-57x-58y56z',
                76:'-58x-72y36z',
                77:'-59x-80y2z',
                78:'-5x-96y25z',
                79:'-60x-55y57z',
                80:'-61x-68y37z',
                81:'-62x-51y58z',
                82:'-63x-76y3z',
                83:'-64x-47y59z',
                84:'-65x-65y38z',
                85:'-65x-84y169z',
                86:'-66x-44y59z',
                87:'-67x-73y4z',
                88:'-68x-40y60z',
                89:'-68x-61y39z',
                90:'-6x-49y86z',
                91:'-70x-36y61z',
                92:'-71x-32y62z',
                93:'-71x-57y40z',
                94:'-71x-69y5z',
                95:'-72x-28y63z',
                96:'-73x-16y65z',
                97:'-73x-20y64z',
                98:'-73x-24y63z',
                99:'-73x-53y41z',
                100:'-75x-49y42z',
                101:'-75x-65y6z',
                102:'-78x-45y43z',
                103:'-78x-61y7z',
                104:'-79x-40y44z',
                105:'-81x-36y45z',
                106:'-81x-57y8z',
                107:'-82x-31y45z',
                108:'-84x-22y47z',
                109:'-84x-27y46z',
                110:'-84x-53y9z',
                111:'-85x-13y49z',
                112:'-85x-18y48z',
                113:'-85x-9y50z',
                114:'-86x-48y10z',
                115:'-89x-43y11z',
                116:'-8x-88y45z',
                117:'-91x-39y12z',
                118:'-92x-34y13z',
                119:'-94x-29y14z',
                120:'-95x-24y15z',
                121:'-9x-48y86z',
                122:'0x-14y98z',
                123:'0x-15y98z',
                124:'0x-16y98z',
                125:'0x-89y43z',
                126:'0x-96y24z',
                127:'0x0y99z'}
       
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire100seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire100seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE100SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE100SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE100SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE100SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE100SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven1004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE100SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE100SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE100SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven1004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven1004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE100SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE100SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE100SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire100seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

